
Katello - Feature #5184

Systems/Hosts: There should be a single way to tie a Foreman Host and Katello System together
Description

There needs to be a mechanism at the model layer to associate a Foreman Host and a Katello System (aka Content Host).

This relation should should ensure that deleting one will delete the other.

Associated revisions

Revision f29166b5 - 05/23/2014 12:50 PM - Brad Buckingham

refs #5184 - rename 'remove' to 'unregister' for content host ui

Revision a8c31af9 - 05/23/2014 04:50 PM - Brad Buckingham

fixes #5184 - extend foreman host to provide association to katello content host

This commit provides for a few small changes:

1. add an association to the foreman host to the katello content host

2. update the foreman defacing to use the data from this association

versus querying the System table for the details

3. when a content host is registered, if there exists a foreman host

with the same hostname, associate the two (host & content host)

4. with the relation added in #1, when the foreman host is deleted

the corresponding content host will be deleted.

Revision 9d662df2 - 05/23/2014 04:50 PM - Brad Buckingham

refs #5184 - rename 'remove' to 'unregister' for content host ui

Revision 39d1d651 - 05/27/2014 09:50 AM - Brad Buckingham

Merge pull request #4115 from bbuckingham/issue-5184

fixes #5184 - extend foreman host to provide association to katello content host

Revision d2725138 - 05/27/2014 01:50 PM - Brad Buckingham

Merge pull request #4115 from bbuckingham/issue-5184

fixes #5184 - extend foreman host to provide association to katello content host

Revision cbf256e5 - 05/31/2014 06:10 PM - Brad Buckingham

refs #5184 - fix couple of issues when deleting foreman hosts

This commit addresses a couple of issues that were observed with the

foreman host <-> katello content host integration, in the production

configuration.

1. Deleting the foreman host would result in a 404 to the user.

2. Unregistering a content host and visiting the foreman host would

show an 410 error to the user.

The key issues that caused these were:
a. There were 2 bindings of the host extensions to the host.  This

triggered the deletion of the content host twice.

b. The model relation for host and content_host did not have the

proper 'inverse_of' definition, so it could lead to foreign key

errors.

Revision bd0aca81 - 06/03/2014 02:19 PM - Brad Buckingham

Merge pull request #4188 from bbuckingham/issue-5184

refs #5184 - fix couple of issues when deleting foreman hosts

History

#1 - 04/28/2014 04:24 PM - Brad Buckingham

- Target version set to 44

- Triaged changed from No to Yes

#2 - 05/19/2014 07:17 PM - Brad Buckingham

- Assignee set to Brad Buckingham

#3 - 05/27/2014 01:53 PM - Brad Buckingham

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:a8c31af93254a1fa634281f8803c14837a1f4914.

#4 - 08/21/2014 02:45 PM - Eric Helms

- translation missing: en.field_release set to 13
